mt_allocator.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_cxx::__common_pool_policy< _PoolTp, _Thread >
class | __gnu_cxx::__mt_alloc< _Tp, _Poolp >
class | __gnu_cxx::__mt_alloc_base< _Tp >
struct | __gnu_cxx::__per_type_pool_policy< _Tp, _PoolTp, _Thread >
class | __gnu_cxx::__pool< _Thread >
class | __gnu_cxx::__pool< false >
class | __gnu_cxx::__pool< true >
struct | __gnu_cxx::__pool_base

## Namespaces

namespace | __gnu_cxx

## Macros

#define | __thread_default

## Typedefs

typedef void(* | __gnu_cxx::__destroy_handler )(void *)

## Functions

template<typename _Tp , typename _Poolp >
bool | __gnu_cxx::operator!= (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)
template<typename _Tp , typename _Poolp >
bool | __gnu_cxx::operator== (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file mt_allocator.h.